| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
Meter.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/Meter.h"`
`#include "command_classes/MultiInstance.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueDecimal.h"`
`#include "value_classes/ValueList.h"`
`#include "value_classes/ValueButton.h"`
`#include "value_classes/ValueInt.h"`
`#include "value_classes/ValueBool.h"`

## Enumerations
enum | MeterCmd { MeterCmd_Get = 0x01 , MeterCmd_Report = 0x02 , MeterCmd_SupportedGet = 0x03 , MeterCmd_SupportedReport = 0x04 , MeterCmd_Reset = 0x05 }
enum | MeterType { MeterType_Electric = 1 , MeterType_Gas , MeterType_Water }
enum | { MeterIndex_Exporting = 32 , MeterIndex_Reset }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
MeterIndex_Exporting |
MeterIndex_Reset |

## ◆ MeterCmd

enum MeterCmd

Enumerator
MeterCmd_Get |
MeterCmd_Report |
MeterCmd_SupportedGet |
MeterCmd_SupportedReport |
MeterCmd_Reset |

## ◆ MeterType

enum MeterType

Enumerator
MeterType_Electric |
MeterType_Gas |
MeterType_Water |